Upstream information

CVE-2014-2324 at MITRE

Description

Multiple directory traversal vulnerabilities in (1) mod_evhost and (2) mod_simple_vhost in lighttpd before 1.4.35 allow remote attackers to read arbitrary files via a .. (dot dot) in the host name, related to request_check_hostname.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 867350 [CLOSED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Availability 12 SP2
  • lighttpd >= 1.4.35-1.34
Patchnames:
SUSE Linux Enterprise High Availability 12 SP2 GA lighttpd
SUSE Linux Enterprise High Availability 12 SP3
  • lighttpd >= 1.4.35-3.1
Patchnames:
SUSE Linux Enterprise High Availability 12 SP3 GA lighttpd
SUSE Linux Enterprise High Availability Extension 11 SP3
  • lighttpd >= 1.4.20-2.54.1
Patchnames:
slehasp3-lighttpd
SUSE Linux Enterprise Software Development Kit 11 SP3
  • lighttpd >= 1.4.20-2.54.1
  • lighttpd-mod_cml >= 1.4.20-2.54.1
  • lighttpd-mod_magnet >= 1.4.20-2.54.1
  • lighttpd-mod_mysql_vhost >= 1.4.20-2.54.1
  • lighttpd-mod_rrdtool >= 1.4.20-2.54.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.20-2.54.1
  • lighttpd-mod_webdav >= 1.4.20-2.54.1
Patchnames:
sdksp3-lighttpd
SUSE Linux Enterprise Software Development Kit 11 SP4
  • lighttpd >= 1.4.20-2.54.1
  • lighttpd-mod_cml >= 1.4.20-2.54.1
  • lighttpd-mod_magnet >= 1.4.20-2.54.1
  • lighttpd-mod_mysql_vhost >= 1.4.20-2.54.1
  • lighttpd-mod_rrdtool >= 1.4.20-2.54.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.20-2.54.1
  • lighttpd-mod_webdav >= 1.4.20-2.54.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA lighttpd
SUSE Linux Enterprise High Availability Extension 11 SP3
  • lighttpd >= 1.4.20-2.54.1
Builds
SAT Patch Nr: 9031
SUSE Linux Enterprise Software Development Kit 11 SP3
  • lighttpd >= 1.4.20-2.54.1
  • lighttpd-mod_cml >= 1.4.20-2.54.1
  • lighttpd-mod_magnet >= 1.4.20-2.54.1
  • lighttpd-mod_mysql_vhost >= 1.4.20-2.54.1
  • lighttpd-mod_rrdtool >= 1.4.20-2.54.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.20-2.54.1
  • lighttpd-mod_webdav >= 1.4.20-2.54.1
Builds
SAT Patch Nr: 9031
openSUSE 12.3
  • lighttpd >= 1.4.35-6.9.1
  • lighttpd-debuginfo >= 1.4.35-6.9.1
  • lighttpd-debugsource >= 1.4.35-6.9.1
  • lighttpd-mod_cml >= 1.4.35-6.9.1
  • lighttpd-mod_cml-debuginfo >= 1.4.35-6.9.1
  • lighttpd-mod_geoip >= 1.4.35-6.9.1
  • lighttpd-mod_geoip-debuginfo >= 1.4.35-6.9.1
  • lighttpd-mod_magnet >= 1.4.35-6.9.1
  • lighttpd-mod_magnet-debuginfo >= 1.4.35-6.9.1
  • lighttpd-mod_mysql_vhost >= 1.4.35-6.9.1
  • lighttpd-mod_mysql_vhost-debuginfo >= 1.4.35-6.9.1
  • lighttpd-mod_rrdtool >= 1.4.35-6.9.1
  • lighttpd-mod_rrdtool-debuginfo >= 1.4.35-6.9.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.35-6.9.1
  • lighttpd-mod_trigger_b4_dl-debuginfo >= 1.4.35-6.9.1
  • lighttpd-mod_webdav >= 1.4.35-6.9.1
  • lighttpd-mod_webdav-debuginfo >= 1.4.35-6.9.1
Patchnames:
openSUSE-2014-257
openSUSE 13.1
  • lighttpd >= 1.4.35-2.9.1
  • lighttpd-debuginfo >= 1.4.35-2.9.1
  • lighttpd-debugsource >= 1.4.35-2.9.1
  • lighttpd-mod_cml >= 1.4.35-2.9.1
  • lighttpd-mod_cml-debuginfo >= 1.4.35-2.9.1
  • lighttpd-mod_geoip >= 1.4.35-2.9.1
  • lighttpd-mod_geoip-debuginfo >= 1.4.35-2.9.1
  • lighttpd-mod_magnet >= 1.4.35-2.9.1
  • lighttpd-mod_magnet-debuginfo >= 1.4.35-2.9.1
  • lighttpd-mod_mysql_vhost >= 1.4.35-2.9.1
  • lighttpd-mod_mysql_vhost-debuginfo >= 1.4.35-2.9.1
  • lighttpd-mod_rrdtool >= 1.4.35-2.9.1
  • lighttpd-mod_rrdtool-debuginfo >= 1.4.35-2.9.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.35-2.9.1
  • lighttpd-mod_trigger_b4_dl-debuginfo >= 1.4.35-2.9.1
  • lighttpd-mod_webdav >= 1.4.35-2.9.1
  • lighttpd-mod_webdav-debuginfo >= 1.4.35-2.9.1
Patchnames:
openSUSE-2014-257
openSUSE Tumbleweed
  • lighttpd >= 1.4.37-1.6
  • lighttpd-mod_cml >= 1.4.37-1.6
  • lighttpd-mod_geoip >= 1.4.37-1.6
  • lighttpd-mod_magnet >= 1.4.37-1.6
  • lighttpd-mod_mysql_vhost >= 1.4.37-1.6
  • lighttpd-mod_rrdtool >= 1.4.37-1.6
  • lighttpd-mod_trigger_b4_dl >= 1.4.37-1.6
  • lighttpd-mod_webdav >= 1.4.37-1.6
Patchnames:
openSUSE Tumbleweed GA lighttpd


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise High Availability Extension 11 SP3 lighttpd Released
SUSE Linux Enterprise SDK 11 SP3 lighttpd Released